Main Page Groups Namespaces

# sigc::internal::signal_emit0<T_return, nil> Struct Template Reference

Abstracts signal emission. More...

List of all members.

## Public Types

typedef signal_emit0 <T_return, nil> | self_type
typedef T_return | result_type
typedef slot<T_return> | slot_type
typedef signal_impl::const_iterator_type | iterator_type
typedef slot_type::call_type | call_type

## Static Public Member Functions

static result_type | emit (signal_impl* impl)
| Executes a list of slots using an accumulator of type T_accumulator.
static result_type | emit_reverse (signal_impl* impl)
| Executes a list of slots using an accumulator of type T_accumulator in reverse order.

## Detailed Description

### template <class T_return>
struct sigc::internal::signal_emit0< T_return, nil >

Abstracts signal emission.

This template specialization implements an optimized emit() function for the case that no accumulator is used.

## Member Typedef Documentation

template <class T_return>

typedef signal_emit0<T_return, nil > sigc::internal::signal_emit0<T_return, nil>::self_type

template <class T_return>

typedef T_return sigc::internal::signal_emit0<T_return, nil>::result_type

template <class T_return>

typedef slot<T_return> sigc::internal::signal_emit0<T_return, nil>::slot_type

template <class T_return>

typedef signal_impl::const_iterator_type sigc::internal::signal_emit0<T_return, nil>::iterator_type

template <class T_return>

typedef slot_type::call_type sigc::internal::signal_emit0<T_return, nil>::call_type

## Member Function Documentation

template <class T_return>

static result_type sigc::internal::signal_emit0<T_return, nil>::emit | ( | signal_impl* | impl | ) | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator.

The return value of the last slot invoked is returned.

Parameters:

  | first | An iterator pointing to the first slot in the list.
  | last | An iterator pointing to the last slot in the list.

Returns:
  The return value of the last slot invoked.

template <class T_return>

static result_type sigc::internal::signal_emit0<T_return, nil>::emit_reverse | ( | signal_impl* | impl | ) | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator in reverse order.

The return value of the last slot invoked is returned.

Parameters:

  | first | An iterator pointing to the first slot in the list.
  | last | An iterator pointing to the last slot in the list.

Returns:
  The return value of the last slot invoked.

The documentation for this struct was generated from the following file:

- signal.h